import { AnnotationLayer } from "./AnnotationLayer";
import { Brush } from "igniteui-react-core/ES5/Brush";
import { Series } from "./Series";
import { Visibility } from "igniteui-react-core/ES5/Visibility";
import { CrosshairLayerFrame } from "./CrosshairLayerFrame";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { Pool$1 } from "igniteui-react-core/ES5/Pool$1";
import { Type } from "igniteui-react-core/ES5/type";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { Path } from "igniteui-react-core/ES5/Path";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
export declare class CrosshairLayer extends AnnotationLayer {
    constructor();
    protected bf(): SeriesView;
    ii(a: SeriesView): void;
    protected mq: CrosshairLayerView;
    oa: Brush;
    ob: Brush;
    mr: Series;
    mu: boolean;
    ms: boolean;
    oe: Brush;
    oc: Brush;
    m1: number;
    od: Brush;
    mx: number;
    my: number;
    oh: Brush;
    of: Brush;
    m2: number;
    og: Brush;
    mz: number;
    m0: number;
    oj: Visibility;
    oi: Visibility;
    mt: boolean;
    protected l7(a: Series, b: boolean): void;
    protected l9(a: Frame, b: SeriesView): void;
    protected lu(a: Series): boolean;
    ib(): void;
    private no(a, b, c, d);
    private mw;
    private mv;
    protected np(a: CrosshairLayerFrame, b: boolean): void;
    private nn(a, b, c, d, e);
    protected mc(a: Frame, b: SeriesView): void;
    protected c5(): boolean;
    protected io(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
    static $t: Type;
}
export declare class CrosshairLayerView extends AnnotationLayerView {
    constructor(a: CrosshairLayer);
    protected bz: CrosshairLayer;
    b0: Pool$1<Path>;
    protected b1: List$1<Path>;
    ap(): void;
    private b7();
    private b2(a);
    private b4(a);
    private b3(a);
    b5(a: Path, b: number, c: number, d: number): void;
    b6(a: Brush): Brush;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
    static $t: Type;
}
